# $Revision: 1.26.2.4 $, $Date: 2006/05/21 18:07:05 $
%define		rname mail-notification
Summary:	GNOME notification area mail monitor
Summary(pl):	Monitor poczty widoczny w obszarze powiadamiania GNOME
Name:		gnome-%{rname}
Version:	2.0
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	http://savannah.nongnu.org/download/mailnotify/%{rname}-%{version}.tar.gz
# Source0-md5:	56ef7401aba1cb27d881fb0f33a3248d
URL:		http://www.nongnu.org/mailnotify/
Patch0:		%{name}-capplet.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-include.patch
Patch3:		%{name}-gmail-properties.patch
Patch4:		%{name}-imapauth.patch
Patch5:		%{name}-evolution26.patch
Patch6:		%{name}-configure.patch
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel >= 2.0
BuildRequires:	eel-devel >= 2.14.0
BuildRequires:	evolution-devel >= 2.6
BuildRequires:	gmime-devel >= 2.1.0
BuildRequires:	gnet-devel >= 2.0.0
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libicu-devel >= 2.6
BuildRequires:	libsoup-devel >= 2.2
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,preun):	GConf2 >= 2.14.0
Requires(post,postun):	scrollkeeper
Requires:	gmime >= 2.1.0
Requires:	libgnomeui >= 2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail Notification is an icon for the GNOME Notification Area that
informs users if they have new mail. It handles multiple folders
and multiple folder formats.

%description -l pl
Mail Notification to ikona dla obszaru powiadamiania GNOME informujca
uytkownikw, czy maj now poczt. Obsuguje wiele folderw oraz
wiele formatw folderw.

%package -n evolution-plugin-mail-notification
Summary:	Mail Notification plugin for Evolution
Summary(pl):	Wtyczka Mail Notification dla Evolution
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	evolution >= 2.6

%description -n evolution-plugin-mail-notification
Evolution mailbox support for Mail Notification.

%description -n evolution-plugin-mail-notification -l pl
Wsparcie dla skrzynek pocztowych Evolution w Mail Notification.

%prep
%setup -q -n %{rname}-%{version}
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p1

%build
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install \
	--disable-static \
	--with-evolution-source-dir=%{_includedir}/evolution-2.6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
	
rm -f $RPM_BUILD_ROOT%{_libdir}/evolution/2.6/plugins/*.la

%find_lang %{rname} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install mail-notification.schemas

%preun
%gconf_schema_uninstall mail-notification.schemas

%postun
%scrollkeeper_update_postun

%files -f %{rname}.lang
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{_bindir}/mail-notification
%{_datadir}/%{rname}
%{_desktopdir}/*.desktop
%{_libdir}/bonobo/servers/*
%{_omf_dest_dir}/%{rname}
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/mail-notification.schemas
%{_sysconfdir}/sound/events/*

%files -n evolution-plugin-mail-notification
%defattr(644,root,root,755)
%{_libdir}/evolution/2.6/plugins/liborg-gnome-mail-notification.so
%{_libdir}/evolution/2.6/plugins/org-gnome-mail-notification.eplug

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-mail-notification.spec,v $
Revision 1.26.2.4  2006/05/21 18:07:05  freetz
- rel.5, fixed linking problems (configure patch added), finished evolution
  plugin, STBR

Revision 1.26.2.3  2006/05/21 16:55:56  freetz
- sync with HEAD (official patches), doesn't work for now (some libglade
  related crash, investigation in progress)

Revision 1.26.2.2  2006/05/18 22:53:41  baggins
- release 4
- strict reqs

Revision 1.26.2.1  2006/05/17 15:03:57  baggins
- rel 3
- rebuild with GNOME 2.14

Revision 1.26  2005/09/08 15:28:36  freetz
- release 2 for rebuild with new gnome-menus-libs

Revision 1.25  2005/08/16 17:14:35  freetz
- 2.0, TODO added

Revision 1.24  2005/08/09 13:09:14  paladine
- missing BR: scrollkeeper

Revision 1.23  2005/07/12 06:21:45  arekm
- rel 6

Revision 1.22  2005/05/02 09:15:45  qboosh
- BR: ac >= 2.59, libicu-devel >= 2.6, libsoup-devel >= 2.2, openssl-devel
- release 5

Revision 1.21  2005/05/01 17:40:28  qboosh
- BR cleanup

Revision 1.20  2005/04/13 20:38:49  paladine
- new style macros, rel. 4

Revision 1.19  2005/04/06 08:43:08  paladine
- use new faster rpm's GConf automation
- run scrollkeeper-update in quiet mode
- moved capplet to _desktopdir
- rel. 3

Revision 1.18  2005/03/24 12:37:37  freetz
- added missing BRs/Rs (now it should work at least...)
- rel.1 was completly broken so rel.2

Revision 1.17  2005/03/07 04:47:44  aredridel
- up to 1.1

Revision 1.16  2004/11/25 05:02:51  aredridel
- up to 1.0

Revision 1.15  2004/11/17 14:29:38  paladine
- added desktop patch
- rel 2

Revision 1.14  2004/11/15 19:32:58  paladine
- updated to 0.99

Revision 1.13  2004/11/04 12:29:41  paladine
- updated to 0.8.1

Revision 1.12  2004/11/03 09:44:02  paladine
- updated to 0.8.0

Revision 1.11  2004/10/09 10:17:45  freetz
- 0.7.0, removed help-dir.patch (outdated), BR less buggy libgnomeui

Revision 1.10  2004/09/20 09:55:32  krzak
- up to 0.6.2
- removed outdated fix.patch
- added capplet.patch (X-Capplet;)
- move capplet to %{_datadir}/gnome/capplets/

Revision 1.9  2004/08/24 06:31:31  qboosh
- added fix patch, release 2

Revision 1.8  2004/08/19 03:05:41  aredridel
- up to 0.6.1

Revision 1.7  2004/08/12 10:25:19  krzak
- up to 0.5.0
- help-dir.patch (installation directory)
- desktop.patch (categories)

Revision 1.6  2004/03/23 00:31:41  freetz
- 0.3.4
- no %%config for schemas
- %%files update, source0 url update and other small fixes

Revision 1.5  2003/11/12 22:41:32  freetz
- BR libgnomeui-devel (not gnome-panel-devel)
- small TODO

Revision 1.4  2003/11/12 22:18:40  freetz
- 0.3.1
- simplifications and cleanups
- added schema install
- full configure script rebuild
- pl fixes
- even more br

Revision 1.3  2003/10/12 12:23:19  qboosh
- pl (is it consistent with GNOME translation?)
- use find_lang

Revision 1.2  2003/10/04 14:52:48  aredridel
- removed spurious changelog entries

Revision 1.1  2003/10/02 19:52:13  aredridel
- added
